{
  "type": "chest",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exceptional Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_gray'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Superior Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'orange'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Mystical Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_purple'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Arcane Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'red'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exquisite Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'lime'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Royal Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'magenta'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Curious Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'brown'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Resplendent Diamond Pickaxe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'pink'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exceptional Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_gray'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Superior Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'orange'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Mystical Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_purple'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Arcane Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'red'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exquisite Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'lime'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Royal Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'magenta'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Curious Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'brown'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_axe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Resplendent Diamond Axe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'pink'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exceptional Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_gray'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Superior Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'orange'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Mystical Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_purple'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Arcane Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'red'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exquisite Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'lime'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Royal Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'magenta'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Curious Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'brown'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Resplendent Diamond Shovel",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'pink'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exceptional Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_gray'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Superior Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'orange'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Mystical Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_purple'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Arcane Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'red'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exquisite Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'lime'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Royal Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'magenta'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Curious Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'brown'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Resplendent Diamond Hoe",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'pink'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exceptional Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_gray'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Superior Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'orange'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Mystical Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'dark_purple'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Arcane Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'red'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Exquisite Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'lime'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Royal Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'magenta'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Curious Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'brown'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:diamond_sword",
          "functions": [
            {
              "function": "set_name",
              "name": [
                {
                  "text": "Resplendent Diamond Sword",
                  "color": "dark_purple",
                  "italic": false
                }
              ]
            },
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:'charm:tinted',lvl:1}],charm_glint:'pink'}"
            },
            {
              "function": "enchant_with_levels",
              "levels": {
                "min": 20,
                "max": 50
              },
              "treasure": true
            }
          ]
        }
      ]
    }
  ]
}